Open CASCADE Technology  7.3.1.dev
Public Member Functions
BRepTools_WireExplorer Class Reference

The WireExplorer is a tool to explore the edges of a wire in a connection order. More...

#include <BRepTools_WireExplorer.hxx>

Public Member Functions

 BRepTools_WireExplorer ()
 Constructs an empty explorer (which can be initialized using Init) More...
 
 BRepTools_WireExplorer (const TopoDS_Wire &W)
 IInitializes an exploration of the wire <W>. More...
 
 BRepTools_WireExplorer (const TopoDS_Wire &W, const TopoDS_Face &F)
 Initializes an exploration of the wire <W>. F is used to select the edge connected to the previous in the parametric representation of <F>. More...
 
void Init (const TopoDS_Wire &W)
 Initializes an exploration of the wire <W>. More...
 
void Init (const TopoDS_Wire &W, const TopoDS_Face &F)
 Initializes an exploration of the wire <W>. F is used to select the edge connected to the previous in the parametric representation of <F>. More...
 
void Init (const TopoDS_Wire &W, const TopoDS_Face &F, const Standard_Real UMin, const Standard_Real UMax, const Standard_Real VMin, const Standard_Real VMax)
 Initializes an exploration of the wire <W>. F is used to select the edge connected to the previous in the parametric representation of <F>. <UMIn>, <UMax>, <VMin>, <VMax> - the UV bounds of the face <F>. More...
 
Standard_Boolean More () const
 Returns True if there is a current edge. More...
 
void Next ()
 Proceeds to the next edge. More...
 
const TopoDS_EdgeCurrent () const
 Returns the current edge. More...
 
TopAbs_Orientation Orientation () const
 Returns an Orientation for the current edge. More...
 
const TopoDS_VertexCurrentVertex () const
 Returns the vertex connecting the current edge to the previous one. More...
 
void Clear ()
 Clears the content of the explorer. More...
 

Detailed Description

The WireExplorer is a tool to explore the edges of a wire in a connection order.

i.e. each edge is connected to the previous one by its origin. If a wire is not closed returns only a segment of edges which length depends on started in exploration edge. Algorithm suggests that wire is valid and has no any defects, which can stop edge exploration. Such defects can be loops, wrong orientation of edges (two edges go in to shared vertex or go out from shared vertex), branching of edges, the presens of edges with INTERNAL or EXTERNAL orientation. If wire has such kind of defects WireExplorer can return not all edges in a wire. it depends on type of defect and position of starting edge.

Constructor & Destructor Documentation

◆ BRepTools_WireExplorer() [1/3]

BRepTools_WireExplorer::BRepTools_WireExplorer ( )

Constructs an empty explorer (which can be initialized using Init)

◆ BRepTools_WireExplorer() [2/3]

BRepTools_WireExplorer::BRepTools_WireExplorer ( const TopoDS_Wire W)

IInitializes an exploration of the wire <W>.

◆ BRepTools_WireExplorer() [3/3]

BRepTools_WireExplorer::BRepTools_WireExplorer ( const TopoDS_Wire W,
const TopoDS_Face F 
)

Initializes an exploration of the wire <W>. F is used to select the edge connected to the previous in the parametric representation of <F>.

Member Function Documentation

◆ Clear()

void BRepTools_WireExplorer::Clear ( )

Clears the content of the explorer.

◆ Current()

const TopoDS_Edge& BRepTools_WireExplorer::Current ( ) const

Returns the current edge.

◆ CurrentVertex()

const TopoDS_Vertex& BRepTools_WireExplorer::CurrentVertex ( ) const

Returns the vertex connecting the current edge to the previous one.

◆ Init() [1/3]

void BRepTools_WireExplorer::Init ( const TopoDS_Wire W)

Initializes an exploration of the wire <W>.

◆ Init() [2/3]

void BRepTools_WireExplorer::Init ( const TopoDS_Wire W,
const TopoDS_Face F 
)

Initializes an exploration of the wire <W>. F is used to select the edge connected to the previous in the parametric representation of <F>.

◆ Init() [3/3]

void BRepTools_WireExplorer::Init ( const TopoDS_Wire W,
const TopoDS_Face F,
const Standard_Real  UMin,
const Standard_Real  UMax,
const Standard_Real  VMin,
const Standard_Real  VMax 
)

Initializes an exploration of the wire <W>. F is used to select the edge connected to the previous in the parametric representation of <F>. <UMIn>, <UMax>, <VMin>, <VMax> - the UV bounds of the face <F>.

◆ More()

Standard_Boolean BRepTools_WireExplorer::More ( ) const

Returns True if there is a current edge.

◆ Next()

void BRepTools_WireExplorer::Next ( )

Proceeds to the next edge.

◆ Orientation()

TopAbs_Orientation BRepTools_WireExplorer::Orientation ( ) const

Returns an Orientation for the current edge.


The documentation for this class was generated from the following file: